Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextParserImpl Class Reference
[Parsers]

Inheritance diagram for TextParserImpl:

## Detailed Description

Implementation of TextParser interface.

This is the base Colorer syntax parser, which works with parsed internal HRC structure and colorisez text in a target editor system.

## Public Member Functions
void | setFileType (FileType *type)
void | setLineSource (LineSource *lh)
void | setRegionHandler (RegionHandler *rh)
int | parse (int from, int num, TextParseMode mode)
void | breakParse ()
void | clearCache ()

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.